package javax.imageio.metadata;

import org.w3c.dom.DOMException;
import java.util.Iterator;
import org.w3c.dom.Node;
import java.util.List;
import org.w3c.dom.NamedNodeMap;

class IIONamedNodeMap implements NamedNodeMap
{
    List nodes;
    
    public IIONamedNodeMap(List nodes) {
        this.nodes = nodes;
    }
    
    @Override
    public int getLength() {
        return this.nodes.size();
    }
    
    @Override
    public Node getNamedItem(String s) {
        for (Node node : this.nodes) {
            if (s.equals(node.getNodeName())) {
                return node;
            }
            continue;
        }
        return null;
    }
    
    @Override
    public Node item(int n) {
        return (Node)this.nodes.get(n);
    }
    
    @Override
    public Node removeNamedItem(String s) {
        throw new DOMException((short)7, "This NamedNodeMap is read-only!");
    }
    
    @Override
    public Node setNamedItem(Node node) {
        throw new DOMException((short)7, "This NamedNodeMap is read-only!");
    }
    
    @Override
    public Node getNamedItemNS(String s, String s2) {
        return this.getNamedItem(s2);
    }
    
    @Override
    public Node setNamedItemNS(Node namedItem) {
        return this.setNamedItem(namedItem);
    }
    
    @Override
    public Node removeNamedItemNS(String s, String s2) {
        return this.removeNamedItem(s2);
    }
}
